Mail::MtPolicyd::SessionCache::Redis(3pm)

NAME
Mail::MtPolicyd::SessionCache::Redis - a session cache adapter for redis

VERSION
version 2.05

SYNOPSIS
  <SessionCache>
    module = "Redis"
    #redis = "redis"
    # expire session cache entries
    expire = "300"
    # wait timeout will be increased each time 50,100,150,... (usec)
    lock_wait=50
    # abort after n retries
    lock_max_retry=50
    # session lock times out after (sec)
    lock_timeout=10
  </SessionCache>

PARAMETERS

redis (default: redis)
    Name of the database connection to use.

    You have to define this connection first.

    see Mail::MtPolicyd::Connection::Redis

expire (default: 5*60)
    Timeout in seconds for sessions.

lock_wait (default: 50)
    Timeout for retry when session is locked in milliseconds.

    The retry will be done in multiples of this timeout.

    When set to 50 retry will be done in 50, 100, 150ms...

lock_max_retry (default: 50)
    Maximum number of retries before giving up to obtain lock on a session.

lock_timeout (default: 10)
    Timeout of session locks in seconds.

AUTHOR
Markus Benning <ich@markusbenning.de>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Markus Benning <ich@markusbenning.de>.

This is free software, licensed under:

  The GNU General Public License, Version 2, June 1991